org.apache.solr.client.solrj.request

## Class CoreAdminRequest.MergeIndexes

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
  - - org.apache.solr.client.solrj.request.CoreAdminRequest
    - - org.apache.solr.client.solrj.request.CoreAdminRequest.MergeIndexes

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CoreAdminRequest

      public static class CoreAdminRequest.MergeIndexes
      extends CoreAdminRequest

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.OverrideLastPublished, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `indexDirs`
    `protected List<String>` | `srcCores`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `action, core, isIndexInfoNeeded, other`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeIndexes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getIndexDirs()`
    `SolrParams` | `getParams()`
    `List<String>` | `getSrcCores()`
    `void` | `setIndexDirs(List<String> indexDirs)`
    `void` | `setSrcCores(List<String> srcCores)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `createCore, createCore, createCore, createResponse, getContentStreams, getCoreStatus, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, unloadCore, unloadCore, unloadCore`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### indexDirs

          protected List<String> indexDirs

    - #### srcCores

          protected List<String> srcCores

  - ### Constructor Detail

    - #### MergeIndexes

          public MergeIndexes()

  - ### Method Detail

    - #### setIndexDirs

          public void setIndexDirs(List<String> indexDirs)

    - #### getIndexDirs

          public List<String> getIndexDirs()

    - #### getSrcCores

          public List<String> getSrcCores()

    - #### setSrcCores

          public void setSrcCores(List<String> srcCores)

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CoreAdminRequest`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.